> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Translate Audio

> Translates speech in an audio file into the target language supported by the chosen model.



## OpenAPI

````yaml /gateway-openapi.json post /audio/translations
openapi: 3.0.0
info:
  title: LLM Gateway
  description: API for LLM Gateway
  version: 1.0.0
servers:
  - url: https://{gatewayBaseURL}
    variables:
      gatewayBaseURL:
        default: gateway.truefoundry.ai
        description: Gateway base URL
    description: Gateway base URL
security:
  - AuthorizationBearer: []
tags:
  - name: Chat
  - name: Agent
  - name: Messages
  - name: MCP
  - name: Embeddings
  - name: Rerank
  - name: Responses
  - name: Image
  - name: Audio
  - name: Batch
  - name: Files
  - name: Fine-tuning
  - name: Moderations
  - name: Models
paths:
  /audio/translations:
    post:
      tags:
        - Audio
      summary: Translate Audio
      description: >-
        Translates speech in an audio file into the target language supported by
        the chosen model.
      parameters:
        - schema:
            type: string
            description: Optional metadata for the request
          required: false
          name: x-tfy-metadata
          in: header
      requestBody:
        required: true
        description: Audio file to translate and translation options
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  description: >-
                    The audio file content (not the filename), in one of: flac,
                    mp3, mp4, mpeg, mpga, m4a, ogg, wav, webm.
                model:
                  type: string
                  description: ID of the speech-to-text model to use (e.g. whisper-1).
                prompt:
                  type: string
                  nullable: true
                  description: >-
                    An optional text to guide the model's style or continue a
                    previous audio segment. The prompt should be in English.
                response_format:
                  type: string
                  nullable: true
                  description: >-
                    The format of the output, in one of these options: json,
                    text, srt, verbose_json, or vtt. Default: json.
                temperature:
                  type: number
                  nullable: true
                  description: >-
                    The sampling temperature, between 0 and 1. Higher values
                    like 0.8 will make the output more random, while lower
                    values like 0.2 will make it more focused and deterministic.
                    Default: 0.
              required:
                - model
      responses:
        '200':
          description: Audio translated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  text:
                    type: string
                    description: The translated text.
                required:
                  - text
        '400':
          description: Bad Request
components:
  securitySchemes:
    AuthorizationBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````